﻿using System;
using System.Globalization;
using System.Windows.Data;
using Infragistics.Controls.Editors;

namespace IGPropertyGridTest
{
    public class TableFieldsConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var item = value as PropertyGridItem;
            if (item != null)
            {
                var table = (item.GetParentObject() as SubThing)?.Table;
                return table?.Fields;
            }
            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}